Python 安装库提示 Microsoft Visual C 14.0 or greater is required 解决方法

今天想配置一个Mirai机器人给群友乐乐,结果用Portey安装部署的时候,开始报错,提示“error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/ Tools"”。

不就安装个软件嘛,不费事,然后进入安装后,再次构建,一样的报错,我就纳闷了。

我去百度查了一下,发现Python39是通过Visual C++ 14编译的,Python27通过Visual C++ 9编译的,是怪不得它需要一个14.0以上的版本。

这里分享一下各Visual Studio对应的版本,防止踩坑。

[admonition]Visual Studio 2013 ---> 12
Visual Studio 2015 ---> 14
Visual Studio 2017 ---> 15[/admonition]

百度告诉我解决这个有两种方法,第一个说可以通过下载whl本地安装,我又去查了一下whl安装,发现安装失败的人还挺多。

第二个就是安装旧版本的“Microsoft Visual C++ Builds Tools”,我就按着这个方法做,然后双出问题了,安装程序提示“安装包丢失或者损坏”,我选择了“从Internet下载”,然后点了一下秒回到提示“安装包丢失或者损坏”的界面,好家伙,估计是服务器炸了,我又去找完整的安装包,功夫不负有心人,找到了,分享一下给各位。

百度网盘下载(密码:joke)

版权声明:
作者:NickPikachu
链接:http://nick.mccn.fun/39.html
来源:AkuaSUKI的博客
文章版权归作者所有,未经允许请勿转载。

THE END
分享
二维码
< <上一篇
下一篇>>